Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
ContentTransferEncoding Struct Reference

Content-Transfer-Encoding field value. More...

`#include <contenttransferencoding.h>`

Inheritance diagram for ContentTransferEncoding:

## Public Member Functions

| ContentTransferEncoding (const char *)
| ContentTransferEncoding (const std::string &)
const istring & | mechanism () const
void | mechanism (const std::string &)
void | set (const std::string &)
std::string | str () const

## Static Public Attributes

static const char | label []
static const char | base64 []
static const char | quoted_printable []
static const char | binary []
static const char | sevenbit []
static const char | eightbit []

## Protected Member Functions

FieldValue * | clone () const
Protected Member Functions inherited from FieldValue
bool | typeChecked () const
void | typeChecked (bool)

## Detailed Description

Content-Transfer-Encoding field value.

## Member Function Documentation

## ◆ clone()

FieldValue * clone | ( |  | ) | const

protected virtual

Implements FieldValue.

## ◆ set()

void set | ( | const std::string & |  | ) |

virtual

Implements FieldValue.

## ◆ str()

std::string str | ( |  | ) | const

virtual

Implements FieldValue.

The documentation for this struct was generated from the following file:

- contenttransferencoding.h